Package de.willuhn.jameica.hbci.gui.parts

# Class EmpfaengerList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.EmpfaengerList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class EmpfaengerList extends de.willuhn.jameica.gui.parts.TablePart implements de.willuhn.jameica.gui.Part
Implementierung einer fix und fertig vorkonfigurierten Liste mit Adressen.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`EmpfaengerList.EmpfaengerImportMessageConsumer`
Hilfsklasse damit wir ueber importierte Empfaenger informiert werden.

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners, settings`

## Constructor Summary

Constructors
Constructor
Description
`EmpfaengerList(de.willuhn.jameica.gui.Action action)`
ct.
`EmpfaengerList(de.willuhn.jameica.gui.Action action, AddressFilter filter)`
ct.
`EmpfaengerList(de.willuhn.jameica.gui.Action action, AddressFilter filter, boolean createButton)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, createFeatureEventContext, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, getSummary, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmpfaengerList

public EmpfaengerList(de.willuhn.jameica.gui.Action action) throws RemoteException
ct.

Parameters:
  `action` -
Throws:
  `RemoteException`

### EmpfaengerList

public EmpfaengerList(de.willuhn.jameica.gui.Action action, AddressFilter filter) throws RemoteException
ct.

Parameters:
  `action` -
  `filter` - optionaler Filter.
Throws:
  `RemoteException`

### EmpfaengerList

public EmpfaengerList(de.willuhn.jameica.gui.Action action, AddressFilter filter, boolean createButton) throws RemoteException
ct.

Parameters:
  `action` -
  `filter` - optionaler Filter.
  `createButton` - true, wenn ein Button zum Anlegen einer neuen Adresse mit angezeigt werden soll.
Throws:
  `RemoteException`

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `de.willuhn.jameica.gui.parts.TablePart`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`